8619 matches found
CVE-2026-15657: Insufficiently Protected Credentials
A vulnerability in the foreUP customer REST API allows any authenticated user to read cleartext payment-processor merchant credentials in the response body...
CVE-2026-15658: Authorization Bypass Through User-Controlled Key
A vulnerability in the foreUP customer REST API allows any authenticated, low-privilege customer to access an endpoint that returns the records of other users without checking that the caller owns the data associated with that record...
(Pwn2Own) Phoenix Contact CHARX SEC-3150 charx-jupicore Missing Authentication Configuration Modification Vulnerability
This vulnerability allows network-adjacent attackers to modify configuration on affected installations of Phoenix Contact CHARX SEC-3150 devices. Authentication is not required to exploit this vulnerability. The specific flaw exists within the charx-jupicore REST API, which listens on TCP port 55...
Fedora 44 : wordpress (2026-2b8250197a)
The remote Fedora 44 host has a package installed that is affected by a vulnerability as referenced in the FEDORA-2026-2b8250197a advisory. Version 6.9.5 Security updates - A facilitated SQL injection issue - A REST API batch-route confusion and SQL injection issue leading to Remote Code Executio...
CVE-2026-23981: Improper Authorization
An Improper Authorization vulnerability exists in Apache Superset allowing an authenticated user with permissions to update charts to modify dashboards they do not own. When updating a chart's properties via the REST API, a user can provide a list of dashboard IDs dashboards to associate the char...
WP2Shell WordPress Exploit Technical Analysis and Real Attack Data
On July 17th, 2026, the WordPress Security Team released updates to WordPress core addressing a critical vulnerability chain that can be leveraged by unauthenticated attackers to create an administrator account and then execute code through normal administrator capabilities, such as uploading a...
CVE-2026-11351: Exposure of Sensitive Information to an Unauthorized Actor
The ShinyStat Analytics WordPress plugin before 1.0.17 does not perform any authorization check on one of its REST API endpoints, allowing unauthenticated users to retrieve information about non-published e.g. draft, pending or private WooCommerce products...
CVE-2026-13425: Improper Neutralization of Input During Web Page Generation
The Database for CF7 plugin for WordPress is vulnerable to Stored Cross-Site Scripting via Array Form Field Values in all versions up to, and including, 1.2.6 due to insufficient input sanitization and output escaping. This makes it possible for unauthenticated attackers to inject arbitrary web...
WP Cerber < 8.9.3 - Broken Access Control Detection
WP Cerber 8.9.3 contains a bypass of /wp-json access control caused by improper handling of trailing '?' character, letting unauthorized users access protected REST API endpoints, exploit requires sending a request with a trailing '?'. !/usr/bin/env python3 -- coding: utf-8 -- """WP Cerber 8."""...
WordPress REST API User Enumeration Detection
The REST API exposed user data for all users who had authored a post of a public post type. WordPress 4.7.1 limits this to only post types which have specified that they should be shown within the REST API. !/usr/bin/env python3 -- coding: utf-8 -- """The REST API exposed user data for all users...
XWiki Platform - Unauthorized Document History Access Detection
A vulnerability in XWiki Platform's REST API allows unauthorized users to access document history information. The REST API endpoint exposes the history of any page including modification times, version numbers, author details username and display name, and version comments, regardless of access...
Apereo CAS Cross-Site Scripting Detection
Apereo CAS through 6.4.1 allows cross-site scripting via POST requests sent to the REST API endpoints. !/usr/bin/env python3 -- coding: utf-8 -- """Apereo CAS through 6.""" from kittysploit import from lib.protocols.http.httpclient import Httpclient class ModuleScanner, Httpclient: info = 'name':...
Exploit for CVE-2026-8206
CVE-2026-8206 Vulnerability: Unauthenticated Account Takeo...
ADOKit v1.4.2
ADOKit Description Azure DevOps Services Attack Toolkit - ADOKit is a toolkit that can be used to attack Azure DevOps Services by taking advantage of the available REST API. The tool allows the user to specify an attack module, along with specifying valid credentials API key or stolen...
CVE-2026-13390
The Events Calendar WordPress plugin (versions before 6.16.5.1 ) is vulnerable to an unauthenticated status manipulation flaw. The root cause is a missing authorization check on one of its Event Aggregator import REST API routes , combined with a skipped integrity check for a specific status valu...
CVE-2026-9830: Improper Authentication
The bookingpress-appointment-booking-pro WordPress plugin before 5.7.3 does not correctly invoke its REST permission callback, leaving every route in one of its API namespaces reachable without authentication and allowing unauthenticated attackers to read customer booking data and modify other...
PT-2026-64905
Name of the Vulnerable Software and Affected Versions Progress Software LoadMaster affected versions not specified Progress ECS Connection Manager affected versions not specified Progress Object Scale Connection Manager affected versions not specified Progress MOVEit WAF affected versions not...
CVE-2026-13390: Missing Authorization
The Events Calendar WordPress plugin before 6.16.5.1 does not perform an authorization check on one of its Event Aggregator import REST API routes and skips an integrity check for a particular status value, allowing unauthenticated attackers to mark existing import records as failed and to store...
wp2shell
wp2shell-poc Independent proof-of-concept for the unauthentic...
PT-2026-67606
Summary The REST API user-update endpoint PUT/PATCH /api/v2/users/id and the V1 equivalent does not enforce two authorization rules that the web interface enforces. A user who holds the user edit others permission but is not a superuser can: 1. edit user accounts that belong to a superuser, and 2...